[xdg-menu-convert] 05/06: get-orig-source
Nicholas Bamber
periapt at moszumanska.debian.org
Mon Dec 7 18:36:35 UTC 2015
This is an automated email from the git hooks/post-receive script.
periapt pushed a commit to branch master
in repository xdg-menu-convert.
commit e236569904199e7a42e745e195f3b2c8affbeb68
Author: Nicholas Bamber <nicholas at periapt.co.uk>
Date: Mon Dec 7 18:02:41 2015 +0000
get-orig-source
---
debian/control | 2 +-
debian/get-orig-source | 18 ++++++++++++++++++
debian/rules | 6 ++++++
3 files changed, 25 insertions(+), 1 deletion(-)
diff --git a/debian/control b/debian/control
index 244130b..0418dc8 100644
--- a/debian/control
+++ b/debian/control
@@ -18,5 +18,5 @@ Package: xdg-menu-convert
Architecture: all
Depends: ${misc:Depends},
${perl:Depends}
-Description: tool to freedesktop files to formats used by various window managers
+Description: tool to convert freedesktop files to various window managers
HELP!!!
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..88a73a3
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+declare PACKAGE=xdg-menu-convert
+
+set -e
+
+wget -O ../PKGBUILD https://projects.archlinux.org/svntogit/community.git/plain/trunk/PKGBUILD?h=packages/archlinux-xdg-menu
+source ../PKGBUILD
+wget -O ../${PACKAGE}_${pkgver}.orig.tar.gz ${source}
+
+ACTUAL=$(md5sum ../${PACKAGE}_${pkgver}.orig.tar.gz | cut -d' ' -f1)
+echo "ACTUAL: ${ACTUAL}"
+echo "EXPECTED: ${md5sums}"
+if [[ ${md5sums} != "${ACTUAL}" ]]; then
+ echo "MD5 mismatch ${md5sums} ../${PACKAGE}_${pkgver}.orig.tar.gz"
+ exit 1
+fi
+
diff --git a/debian/rules b/debian/rules
index cbe925d..6e9dfea 100755
--- a/debian/rules
+++ b/debian/rules
@@ -1,3 +1,9 @@
#!/usr/bin/make -f
+
+PACKAGE = $(shell dh_listpackages)
+
%:
dh $@
+
+get-orig-source:
+ debian/get-orig-source
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-perl/packages/xdg-menu-convert.git
More information about the Pkg-perl-cvs-commits
mailing list